Subject: Re: B20.1: setvbuf implementation incorrect for <mode> == _IONBF
From: [email-masked] (Tom Shields)

18 Jan 1999 04:11:32 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary="------------800667856BDF661EFAB82C2F"
To: [email-masked]

This is a multi-part message in MIME format.
--------------800667856BDF661EFAB82C2F
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Well, I'm not exactly sure what the problem was with my test app,
since it was apparently cratering in the C run-time startup code
prior to reaching main() - but not under gdb, which was what was
confusing me. I guess the gdb environment is "cleaner" than raw
windoze.

Anyway. I noticed that some of the standard utilities were also
behaving in weird manners, so I re-built the distributed from
scratch (including running configure), and now everything works
just fine. Chalk it up to perturbations created by debugging
the original problem with setvbuf()!

Tom Shields

Christopher G. Faylor ([email-masked])  wrote:
> 
> >I rebuilt b20.1, and put cygwin1.dll in my test app's directory
> >(PATH includes ".") for verification, but I'm experiencing wierd
> >behavior now: my test app craters immediately with another
> >STATUS_ACCESS_VIOLATION if I run it from the bash command line
> >(as opposed to cratering at the end of execution with the fclose),
> >but if I run the test app under gdb it works perfectly now (no
> >STATUS_ACCESS_VIOLATION in the fclose)!
> >
> >Can someone explain what is going on? I'm hesitant to install
> >the rebuilt b20.1 environment due to this strange behavior.
> 
> It's difficult to explain without knowing exactly where your test app is
> "cratering".  Is this a problem for all of your applications or is it
> only the ones which use _IONBF?
> --
> [email-masked]
> http://www.cygnus.com/
--------------800667856BDF661EFAB82C2F
Content-Type: text/x-vcard; charset=us-ascii;
 name="Shields.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Tom Shields
Content-Disposition: attachment;
 filename="Shields.vcf"

begin:vcard 
n:Shields;Tom
x-mozilla-html:TRUE
org:The Mars Hotel
adr:;;;;;;
version:2.1
email;internet:[email-masked]
title:Inn Keeper
x-mozilla-cpt:;-31952
fn:Shields, Tom
end:vcard

--------------800667856BDF661EFAB82C2F--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".